org.appng.xml.platform

## Class ObjectFactory

- java.lang.Object
- - org.appng.xml.platform.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the org.appng.xml.platform package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.appng.xml.platform

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Action` | `createAction()` Create an instance of `Action`
    `ActionRef` | `createActionRef()` Create an instance of `ActionRef`
    `ApplicationConfig` | `createApplicationConfig()` Create an instance of `ApplicationConfig`
    `ApplicationReference` | `createApplicationReference()` Create an instance of `ApplicationReference`
    `ApplicationRootConfig` | `createApplicationRootConfig()` Create an instance of `ApplicationRootConfig`
    `Authentication` | `createAuthentication()` Create an instance of `Authentication`
    `Authentications` | `createAuthentications()` Create an instance of `Authentications`
    `Bean` | `createBean()` Create an instance of `Bean`
    `BeanOption` | `createBeanOption()` Create an instance of `BeanOption`
    `Condition` | `createCondition()` Create an instance of `Condition`
    `Config` | `createConfig()` Create an instance of `Config`
    `Content` | `createContent()` Create an instance of `Content`
    `Data` | `createData()` Create an instance of `Data`
    `JAXBElement<Data>` | `createData(Data value)` Create an instance of `JAXBElement``<``Data``>`}
    `DataConfig` | `createDataConfig()` Create an instance of `DataConfig`
    `Datafield` | `createDatafield()` Create an instance of `Datafield`
    `Datasource` | `createDatasource()` Create an instance of `Datasource`
    `JAXBElement<Datasource>` | `createDatasource(Datasource value)` Create an instance of `JAXBElement``<``Datasource``>`}
    `DatasourceRef` | `createDatasourceRef()` Create an instance of `DatasourceRef`
    `Datasources` | `createDatasources()` Create an instance of `Datasources`
    `Digits` | `createDigits()` Create an instance of `Digits`
    `Event` | `createEvent()` Create an instance of `Event`
    `JAXBElement<Event>` | `createEvent(Event value)` Create an instance of `JAXBElement``<``Event``>`}
    `Events` | `createEvents()` Create an instance of `Events`
    `FieldDef` | `createFieldDef()` Create an instance of `FieldDef`
    `FieldPermissions` | `createFieldPermissions()` Create an instance of `FieldPermissions`
    `FileUpload` | `createFileUpload()` Create an instance of `FileUpload`
    `Future` | `createFuture()` Create an instance of `Future`
    `GetParams` | `createGetParams()` Create an instance of `GetParams`
    `Icon` | `createIcon()` Create an instance of `Icon`
    `Label` | `createLabel()` Create an instance of `Label`
    `Labels` | `createLabels()` Create an instance of `Labels`
    `Link` | `createLink()` Create an instance of `Link`
    `Linkpanel` | `createLinkpanel()` Create an instance of `Linkpanel`
    `Localization` | `createLocalization()` Create an instance of `Localization`
    `Max` | `createMax()` Create an instance of `Max`
    `Message` | `createMessage()` Create an instance of `Message`
    `Messages` | `createMessages()` Create an instance of `Messages`
    `MetaData` | `createMetaData()` Create an instance of `MetaData`
    `Min` | `createMin()` Create an instance of `Min`
    `Navigation` | `createNavigation()` Create an instance of `Navigation`
    `NavigationItem` | `createNavigationItem()` Create an instance of `NavigationItem`
    `NotNull` | `createNotNull()` Create an instance of `NotNull`
    `OpenapiAction` | `createOpenapiAction()` Create an instance of `OpenapiAction`
    `Option` | `createOption()` Create an instance of `Option`
    `OptionGroup` | `createOptionGroup()` Create an instance of `OptionGroup`
    `Output` | `createOutput()` Create an instance of `Output`
    `OutputFormat` | `createOutputFormat()` Create an instance of `OutputFormat`
    `OutputType` | `createOutputType()` Create an instance of `OutputType`
    `JAXBElement<PageDefinition>` | `createPage(PageDefinition value)` Create an instance of `JAXBElement``<``PageDefinition``>`}
    `PageConfig` | `createPageConfig()` Create an instance of `PageConfig`
    `PageDefinition` | `createPageDefinition()` Create an instance of `PageDefinition`
    `PageReference` | `createPageReference()` Create an instance of `PageReference`
    `Pages` | `createPages()` Create an instance of `Pages`
    `JAXBElement<Pages>` | `createPages(Pages value)` Create an instance of `JAXBElement``<``Pages``>`}
    `PagesReference` | `createPagesReference()` Create an instance of `PagesReference`
    `Param` | `createParam()` Create an instance of `Param`
    `Params` | `createParams()` Create an instance of `Params`
    `Past` | `createPast()` Create an instance of `Past`
    `Pattern` | `createPattern()` Create an instance of `Pattern`
    `Permission` | `createPermission()` Create an instance of `Permission`
    `Permissions` | `createPermissions()` Create an instance of `Permissions`
    `Platform` | `createPlatform()` Create an instance of `Platform`
    `PlatformConfig` | `createPlatformConfig()` Create an instance of `PlatformConfig`
    `PostParams` | `createPostParams()` Create an instance of `PostParams`
    `Result` | `createResult()` Create an instance of `Result`
    `Resultset` | `createResultset()` Create an instance of `Resultset`
    `Rule` | `createRule()` Create an instance of `Rule`
    `Rule.Option` | `createRuleOption()` Create an instance of `Rule.Option`
    `Section` | `createSection()` Create an instance of `Section`
    `SectionConfig` | `createSectionConfig()` Create an instance of `SectionConfig`
    `SectionDef` | `createSectionDef()` Create an instance of `SectionDef`
    `Sectionelement` | `createSectionelement()` Create an instance of `Sectionelement`
    `SectionelementDef` | `createSectionelementDef()` Create an instance of `SectionelementDef`
    `Selection` | `createSelection()` Create an instance of `Selection`
    `SelectionGroup` | `createSelectionGroup()` Create an instance of `SelectionGroup`
    `Session` | `createSession()` Create an instance of `Session`
    `SessionInfo` | `createSessionInfo()` Create an instance of `SessionInfo`
    `SessionParams` | `createSessionParams()` Create an instance of `SessionParams`
    `Size` | `createSize()` Create an instance of `Size`
    `Sort` | `createSort()` Create an instance of `Sort`
    `Structure` | `createStructure()` Create an instance of `Structure`
    `StructureDef` | `createStructureDef()` Create an instance of `StructureDef`
    `Subject` | `createSubject()` Create an instance of `Subject`
    `Template` | `createTemplate()` Create an instance of `Template`
    `Textcontents` | `createTextcontents()` Create an instance of `Textcontents`
    `TextElement` | `createTextElement()` Create an instance of `TextElement`
    `Textelements` | `createTextelements()` Create an instance of `Textelements`
    `TextElement.Xml` | `createTextElementXml()` Create an instance of `TextElement.Xml`
    `Type` | `createType()` Create an instance of `Type`
    `UrlParams` | `createUrlParams()` Create an instance of `UrlParams`
    `UrlSchema` | `createUrlSchema()` Create an instance of `UrlSchema`
    `UserData` | `createUserData()` Create an instance of `UserData`
    `UserInputField` | `createUserInputField()` Create an instance of `UserInputField`
    `Validation` | `createValidation()` Create an instance of `Validation`
    `ValidationGroups` | `createValidationGroups()` Create an instance of `ValidationGroups`
    `ValidationGroups.Group` | `createValidationGroupsGroup()` Create an instance of `ValidationGroups.Group`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.appng.xml.platform

  - ### Method Detail

    - #### createTextElement

          public TextElement createTextElement()

      Create an instance of `TextElement`

    - #### createValidationGroups

          public ValidationGroups createValidationGroups()

      Create an instance of `ValidationGroups`

    - #### createRule

          public Rule createRule()

      Create an instance of `Rule`

    - #### createApplicationRootConfig

          public ApplicationRootConfig createApplicationRootConfig()

      Create an instance of `ApplicationRootConfig`

    - #### createPages

          public Pages createPages()

      Create an instance of `Pages`

    - #### createData

          public Data createData()

      Create an instance of `Data`

    - #### createDatasources

          public Datasources createDatasources()

      Create an instance of `Datasources`

    - #### createDatasource

          public Datasource createDatasource()

      Create an instance of `Datasource`

    - #### createPageDefinition

          public PageDefinition createPageDefinition()

      Create an instance of `PageDefinition`

    - #### createEvent

          public Event createEvent()

      Create an instance of `Event`

    - #### createPlatform

          public Platform createPlatform()

      Create an instance of `Platform`

    - #### createEvents

          public Events createEvents()

      Create an instance of `Events`

    - #### createTextcontents

          public Textcontents createTextcontents()

      Create an instance of `Textcontents`

    - #### createTextelements

          public Textelements createTextelements()

      Create an instance of `Textelements`

    - #### createSectionDef

          public SectionDef createSectionDef()

      Create an instance of `SectionDef`

    - #### createLocalization

          public Localization createLocalization()

      Create an instance of `Localization`

    - #### createUrlSchema

          public UrlSchema createUrlSchema()

      Create an instance of `UrlSchema`

    - #### createUserData

          public UserData createUserData()

      Create an instance of `UserData`

    - #### createDataConfig

          public DataConfig createDataConfig()

      Create an instance of `DataConfig`

    - #### createFieldDef

          public FieldDef createFieldDef()

      Create an instance of `FieldDef`

    - #### createType

          public Type createType()

      Create an instance of `Type`

    - #### createFileUpload

          public FileUpload createFileUpload()

      Create an instance of `FileUpload`

    - #### createOutput

          public Output createOutput()

      Create an instance of `Output`

    - #### createPostParams

          public PostParams createPostParams()

      Create an instance of `PostParams`

    - #### createNavigation

          public Navigation createNavigation()

      Create an instance of `Navigation`

    - #### createPermissions

          public Permissions createPermissions()

      Create an instance of `Permissions`

    - #### createAction

          public Action createAction()

      Create an instance of `Action`

    - #### createValidation

          public Validation createValidation()

      Create an instance of `Validation`

    - #### createDatafield

          public Datafield createDatafield()

      Create an instance of `Datafield`

    - #### createNotNull

          public NotNull createNotNull()

      Create an instance of `NotNull`

    - #### createPast

          public Past createPast()

      Create an instance of `Past`

    - #### createParams

          public Params createParams()

      Create an instance of `Params`

    - #### createLabels

          public Labels createLabels()

      Create an instance of `Labels`

    - #### createSelection

          public Selection createSelection()

      Create an instance of `Selection`

    - #### createSize

          public Size createSize()

      Create an instance of `Size`

    - #### createMessages

          public Messages createMessages()

      Create an instance of `Messages`

    - #### createTemplate

          public Template createTemplate()

      Create an instance of `Template`

    - #### createUserInputField

          public UserInputField createUserInputField()

      Create an instance of `UserInputField`

    - #### createOptionGroup

          public OptionGroup createOptionGroup()

      Create an instance of `OptionGroup`

    - #### createIcon

          public Icon createIcon()

      Create an instance of `Icon`

    - #### createPattern

          public Pattern createPattern()

      Create an instance of `Pattern`

    - #### createPagesReference

          public PagesReference createPagesReference()

      Create an instance of `PagesReference`

    - #### createResult

          public Result createResult()

      Create an instance of `Result`

    - #### createMetaData

          public MetaData createMetaData()

      Create an instance of `MetaData`

    - #### createMin

          public Min createMin()

      Create an instance of `Min`

    - #### createLinkpanel

          public Linkpanel createLinkpanel()

      Create an instance of `Linkpanel`

    - #### createSectionelement

          public Sectionelement createSectionelement()

      Create an instance of `Sectionelement`

    - #### createMax

          public Max createMax()

      Create an instance of `Max`

    - #### createUrlParams

          public UrlParams createUrlParams()

      Create an instance of `UrlParams`

    - #### createFieldPermissions

          public FieldPermissions createFieldPermissions()

      Create an instance of `FieldPermissions`

    - #### createFuture

          public Future createFuture()

      Create an instance of `Future`

    - #### createSectionConfig

          public SectionConfig createSectionConfig()

      Create an instance of `SectionConfig`

    - #### createDigits

          public Digits createDigits()

      Create an instance of `Digits`

    - #### createConfig

          public Config createConfig()

      Create an instance of `Config`

    - #### createStructureDef

          public StructureDef createStructureDef()

      Create an instance of `StructureDef`

    - #### createSubject

          public Subject createSubject()

      Create an instance of `Subject`

    - #### createApplicationReference

          public ApplicationReference createApplicationReference()

      Create an instance of `ApplicationReference`

    - #### createSection

          public Section createSection()

      Create an instance of `Section`

    - #### createPageReference

          public PageReference createPageReference()

      Create an instance of `PageReference`

    - #### createPageConfig

          public PageConfig createPageConfig()

      Create an instance of `PageConfig`

    - #### createOutputType

          public OutputType createOutputType()

      Create an instance of `OutputType`

    - #### createBean

          public Bean createBean()

      Create an instance of `Bean`

    - #### createSectionelementDef

          public SectionelementDef createSectionelementDef()

      Create an instance of `SectionelementDef`

    - #### createOutputFormat

          public OutputFormat createOutputFormat()

      Create an instance of `OutputFormat`

    - #### createResultset

          public Resultset createResultset()

      Create an instance of `Resultset`

    - #### createSort

          public Sort createSort()

      Create an instance of `Sort`

    - #### createActionRef

          public ActionRef createActionRef()

      Create an instance of `ActionRef`

    - #### createAuthentications

          public Authentications createAuthentications()

      Create an instance of `Authentications`

    - #### createCondition

          public Condition createCondition()

      Create an instance of `Condition`

    - #### createOpenapiAction

          public OpenapiAction createOpenapiAction()

      Create an instance of `OpenapiAction`

    - #### createPlatformConfig

          public PlatformConfig createPlatformConfig()

      Create an instance of `PlatformConfig`

    - #### createDatasourceRef

          public DatasourceRef createDatasourceRef()

      Create an instance of `DatasourceRef`

    - #### createSelectionGroup

          public SelectionGroup createSelectionGroup()

      Create an instance of `SelectionGroup`

    - #### createGetParams

          public GetParams createGetParams()

      Create an instance of `GetParams`

    - #### createOption

          public Option createOption()

      Create an instance of `Option`

    - #### createSessionInfo

          public SessionInfo createSessionInfo()

      Create an instance of `SessionInfo`

    - #### createSession

          public Session createSession()

      Create an instance of `Session`

    - #### createLink

          public Link createLink()

      Create an instance of `Link`

    - #### createBeanOption

          public BeanOption createBeanOption()

      Create an instance of `BeanOption`

    - #### createContent

          public Content createContent()

      Create an instance of `Content`

    - #### createNavigationItem

          public NavigationItem createNavigationItem()

      Create an instance of `NavigationItem`

    - #### createApplicationConfig

          public ApplicationConfig createApplicationConfig()

      Create an instance of `ApplicationConfig`

    - #### createParam

          public Param createParam()

      Create an instance of `Param`

    - #### createAuthentication

          public Authentication createAuthentication()

      Create an instance of `Authentication`

    - #### createSessionParams

          public SessionParams createSessionParams()

      Create an instance of `SessionParams`

    - #### createPermission

          public Permission createPermission()

      Create an instance of `Permission`

    - #### createLabel

          public Label createLabel()

      Create an instance of `Label`

    - #### createMessage

          public Message createMessage()

      Create an instance of `Message`

    - #### createStructure

          public Structure createStructure()

      Create an instance of `Structure`

    - #### createTextElementXml

          public TextElement.Xml createTextElementXml()

      Create an instance of `TextElement.Xml`

    - #### createValidationGroupsGroup

          public ValidationGroups.Group createValidationGroupsGroup()

      Create an instance of `ValidationGroups.Group`

    - #### createRuleOption

          public Rule.Option createRuleOption()

      Create an instance of `Rule.Option`

    - #### createPages

          public JAXBElement<Pages> createPages(Pages value)

      Create an instance of `JAXBElement``<``Pages``>`}

    - #### createData

          public JAXBElement<Data> createData(Data value)

      Create an instance of `JAXBElement``<``Data``>`}

    - #### createDatasource

          public JAXBElement<Datasource> createDatasource(Datasource value)

      Create an instance of `JAXBElement``<``Datasource``>`}

    - #### createPage

          public JAXBElement<PageDefinition> createPage(PageDefinition value)

      Create an instance of `JAXBElement``<``PageDefinition``>`}

    - #### createEvent

          public JAXBElement<Event> createEvent(Event value)

      Create an instance of `JAXBElement``<``Event``>`}

Copyright © 2011–2023 aiticon GmbH. All rights reserved.